Subject: Re: mtd maps

From: "Mark A. Greer" <[email-masked]>
Date: Tue, 15 Mar 2005 11:44:00 -0700

Greg Weeks wrote:

> Are mtd maps still in drivers/mtd/maps or has that all moved to the 
> platform code? I have an mtd map for the mpc8560ads but it's in mtd/maps.

The mtd code has changed so that platform code can get at the routines 
to set up the maps from there.  arch/ppc/platforms/katana.c has its mtd 
maps there and I recently posted a patch that moves it for the chestnut 
as well.

I think its a good idea to move them to the platform code since the mtd 
maps are platform specific anyway.  Plus its one less place to add/edit 
a file.  But that's just my $0.02...

Mark